#
# spec file for package imlib2 (Version 1.1.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  XFree86 freetype2 freetype2-devel libjpeg libpng-devel-packages libtiff libungif x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel freetype2 freetype2-devel gcc gdbm gettext libjpeg libpng libpng-devel libtiff libtool libungif perl rpm

Name:         imlib2
Summary:      Imlib 2 is the successor to Imlib
Version:      1.1.0
Release:      150
License:      BSD
Group:        Development/Libraries/X11
Source:       %name-%version.tar.bz2
Patch0:       imlib2-1.1.0-fix.patch
Patch1:       imlib2-1.1.1-fixes.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.enlightenment.org/pages/imlib2.html

%description
Imlib 2 is the successor to Imlib. It is not just a newer version - it
is a completely new library. Imlib2 can be installed alongside Imlib
1.x without any problems since they are effectively different libraries
- but they Have very similar functionality.



Authors:
--------
    Rasterman <raster@rasterman.com>

%package devel
Summary:      Imlib 2 - development libraries
Group:        Development/Libraries/X11
Requires:     %{name} = %{version}

%description devel
Imlib 2 is the successor to Imlib. It is not just a newer version - it
is a completely new library. Imlib2 can be installed alongside Imlib
1.x without any problems since they are effectively different libraries
- but they Have very similar functionality.

This package contains the development libraries.



Authors:
--------
    Rasterman <raster@rasterman.com>

%package filters
Summary:      Imlib 2 - plugin filters
Group:        Development/Libraries/X11
Requires:     %{name} = %{version}

%description filters
Imlib 2 is the successor to Imlib. It is not just a newer version - it
is a completely new library. Imlib2 can be installed alongside Imlib
1.x without any problems since they are effectively different libraries
- but they Have very similar functionality.

This package has the basic set of plugin filters that come with Imlib2.



Authors:
--------
    Rasterman <raster@rasterman.com>

%package loaders
Summary:      Imlib 2 - image loaders
Group:        Development/Libraries/X11

%description loaders
Imlib 2 is the successor to Imlib. It is not just a newer version - it
is a completely new library. Imlib2 can be installed alongside Imlib
1.x without any problems since they are effectively different libraries
- but they Have very similar functionality.

This package contains image loaders for: argb, bmp, gif, jpeg, png,
pnm, tga, tiff, xpm



Authors:
--------
    Rasterman <raster@rasterman.com>

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%post
%run_ldconfig

%postun
%run_ldconfig

%build
autoreconf --force --install
%configure --prefix=%{_prefix} \
%ifarch %ix86
	--enable-mmx \
%else
	--disable-mmx \
%endif
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--with-ttf=/usr \
	--enable-shared \
	--disable-static

%install
rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
pushd $RPM_BUILD_ROOT/usr/bin/
 for i in *imlib2-config ; do
  test "$i" != "imlib2-config" || continue
  ln -s $i imlib2-config
 done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING ChangeLog doc/index.html 
%doc doc/imlib2.gif doc/blank.gif
%{_libdir}/lib*.so*
%{_bindir}/*

%files devel
%defattr(-,root,root,0755)
%{_libdir}/*.la
%{_libdir}/pkgconfig/imlib2.pc
%{_includedir}/*

%files filters
%attr(755,root,root) %dir %{_libdir}/loaders
%attr(755,root,root) %{_libdir}/loaders/filter

%files loaders
%attr(755,root,root) %dir %{_libdir}/loaders
%attr(755,root,root) %{_libdir}/loaders/image

%changelog -n imlib2
* Wed Jan 05 2005 - meissner@suse.de
- Fixed more buffer/integer overflows in the BMP
  and XPM loader. #49562
* Tue Aug 31 2004 - meissner@suse.de
- Added fix to avoid BMP buffer overflows. CAN-2004-0802
- Disabled /tmp file abusing gzbz2 compressed loader.
* Sat Aug 16 2003 - mmj@suse.de
- Update to 1.1.0
* Fri Jun 13 2003 - kukuk@suse.de
- Add missing directories to filelist
* Wed May 28 2003 - ro@suse.de
- fix build even without archprefix
* Fri Mar 14 2003 - mmj@suse.de
- Initial package of imlib2-1.0.6
